Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cybergarage.soap
Class SOAP

    java.lang.Object
      org.cybergarage.soap.SOAP

    public class SOAP

extends Object

Field Summary
`static String` | `BODY`
`static String` | `CONTENT_TYPE`
`static String` | `DELIM`
`static String` | `DETAIL`
`static String` | `ENCSTYLE_URL`
`static String` | `ENVELOPE`
`static String` | `ERROR_CODE`
`static String` | `ERROR_DESCRIPTION`
`static String` | `FAULT`
`static String` | `FAULT_CODE`
`static String` | `FAULT_STRING`
`static String` | `FAULTACTOR`
`static String` | `METHODNS`
`static String` | `RESPONSE`
`static String` | `RESULTSTATUS`
`static String` | `UPNP_ERROR`
`static String` | `VERSION_HEADER`
`static String` | `XMLNS`
`static String` | `XMLNS_URL`

Constructor Summary
`SOAP()`

Method Summary
`static Node` | `createEnvelopeBodyNode()`
`static Parser` | `getXMLParser()`
`static void` | `setXMLParser(Parser parser)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENVELOPE

    public static final String ENVELOPE

See Also:
  Constant Field Values

### BODY

    public static final String BODY

See Also:
  Constant Field Values

### RESPONSE

    public static final String RESPONSE

See Also:
  Constant Field Values

### FAULT

    public static final String FAULT

See Also:
  Constant Field Values

### FAULT_CODE

    public static final String FAULT_CODE

See Also:
  Constant Field Values

### FAULT_STRING

    public static final String FAULT_STRING

See Also:
  Constant Field Values

### FAULTACTOR

    public static final String FAULTACTOR

See Also:
  Constant Field Values

### DETAIL

    public static final String DETAIL

See Also:
  Constant Field Values

### RESULTSTATUS

    public static final String RESULTSTATUS

See Also:
  Constant Field Values

### UPNP_ERROR

    public static final String UPNP_ERROR

See Also:
  Constant Field Values

### ERROR_CODE

    public static final String ERROR_CODE

See Also:
  Constant Field Values

### ERROR_DESCRIPTION

    public static final String ERROR_DESCRIPTION

See Also:
  Constant Field Values

### XMLNS

    public static final String XMLNS

See Also:
  Constant Field Values

### METHODNS

    public static final String METHODNS

See Also:
  Constant Field Values

### DELIM

    public static final String DELIM

See Also:
  Constant Field Values

### XMLNS_URL

    public static final String XMLNS_URL

See Also:
  Constant Field Values

### ENCSTYLE_URL

    public static final String ENCSTYLE_URL

See Also:
  Constant Field Values

### CONTENT_TYPE

    public static final String CONTENT_TYPE

See Also:
  Constant Field Values

### VERSION_HEADER

    public static final String VERSION_HEADER

See Also:
  Constant Field Values

Constructor Detail

### SOAP

    public SOAP()

Method Detail

### createEnvelopeBodyNode

    public static final Node createEnvelopeBodyNode()

### setXMLParser

    public static final void setXMLParser(Parser parser)

### getXMLParser

    public static final Parser getXMLParser()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD